=== debian/changelog ===
spoa (1.1.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Remove symbols file in backport

 -- Andreas Tille <tille@debian.org>  Wed, 24 Oct 2018 07:47:11 +0200

spoa (1.1.3-2) unstable; urgency=medium

  * Fix symbols file
    Closes: #905387
  * Standards-Version: 4.2.1
  * Add build-time test
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 09:04:34 +0200

spoa (1.1.3-1) unstable; urgency=medium

  * Initial release (Closes: #901145)

 -- Andreas Tille <tille@debian.org>  Sat, 09 Jun 2018 23:05:58 +0200
