## spoa 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.2)
-project(spoa LANGUAGES CXX VERSION 1.1.3)
+project(spoa LANGUAGES CXX VERSION 1.1.5)
 
 include(GNUInstallDirs)
