=== debian/changelog ===
spoa (1.1.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Upstream changed ABI and we stick here to the broken way to set
    soversion = version but upstream was informed to invent better soversions
    https://github.com/rvaser/spoa/issues/14

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 21:13:39 +0100

spoa (1.1.3-4) unstable; urgency=medium

  * Set architecture to amd64 since the code is not really portable
    Closes: #913574

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2018 11:35:45 +0100

spoa (1.1.3-3) unstable; urgency=medium

  * Do not build with -march
    Closes: #911970
  * Remove trailing whitespace in debian/copyright
  * Mark two symbols as optional

 -- Andreas Tille <tille@debian.org>  Sat, 03 Nov 2018 07:38:44 +0100
