=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                cmake,
                d-shlibs,
                rename,
                libbioparser-dev,
                libgtest-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/spoa
 Vcs-Git: https://salsa.debian.org/med-team/spoa.git
 Homepage: https://github.com/rvaser/spoa
 
 Package: spoa
-Architecture: any
+Architecture: amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: SIMD partial order alignment tool
@@ -27,8 +27,8 @@
  (Smith-Waterman), global (Needleman-Wunsch) and semi-global alignment
  (overlap).
 
-Package: libspoa1.1.3
-Architecture: any
+Package: libspoa1.1.5
+Architecture: amd64
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -43,11 +43,11 @@
  This package contains the shared library.
 
 Package: libspoa-dev
-Architecture: any
+Architecture: amd64
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libspoa1.1.3 (= ${binary:Version})
+         libspoa1.1.5 (= ${binary:Version})
 Description: SIMD partial order alignment library (development files)
  Spoa (SIMD POA) is a c++ implementation of the partial order alignment
  (POA) algorithm (as described in 10.1093/bioinformatics/18.3.452) which
