=== debian/changelog ===
spoa (3.0.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:26:10 +0100

spoa (3.0.1-1) unstable; urgency=medium

  * Fix symbols file
    Closes: #925835, #940280
  * New upstream version
  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 13:24:48 +0200

spoa (3.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0
  * Versioned Build-Depends: libbioparser-dev (>= 2.0)
  * Bump soversion to 3

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 16:12:17 +0200
