=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                d-shlibs,
                rename,
-               libbioparser-dev,
+               libbioparser-dev (>= 2.0),
                libgtest-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/spoa
 Vcs-Git: https://salsa.debian.org/med-team/spoa.git
 Homepage: https://github.com/rvaser/spoa
@@ -27,7 +27,7 @@
  (Smith-Waterman), global (Needleman-Wunsch) and semi-global alignment
  (overlap).
 
-Package: libspoa1.1.5
+Package: libspoa3
 Architecture: amd64
 Section: libs
 Depends: ${shlibs:Depends},
@@ -47,7 +47,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libspoa1.1.5 (= ${binary:Version})
+         libspoa3 (= ${binary:Version})
 Description: SIMD partial order alignment library (development files)
  Spoa (SIMD POA) is a c++ implementation of the partial order alignment
  (POA) algorithm (as described in 10.1093/bioinformatics/18.3.452) which
