## spoa 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,12 @@
 
 option(spoa_build_executable "Build spoa standalone tool" OFF)
 option(spoa_build_tests "Build spoa unit tests" OFF)
-option(spoa_optimize_for_native "Buiold spoa with march=native" ON)
+option(spoa_optimize_for_native "Build spoa with -march=native" ON)
+option(spoa_optimize_for_portability "Build spoa with -msse4.1" OFF)
 
-if (spoa_optimize_for_native)
+if (spoa_optimize_for_portability)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse4.1")
+elseif (spoa_optimize_for_native)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
 endif()
