=== debian/changelog ===
spoa (3.0.2-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix getopt for architectures where char is unsigned
    Closes: #956809

 -- Andreas Tille <tille@debian.org>  Wed, 15 Apr 2020 16:12:16 +0200

spoa (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Add -DSIMDE_ENABLE_OPENMP
  * Really build anywhere
  * Only check the AMD64 symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 14 Apr 2020 14:18:07 +0200

spoa (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Enable building on non x86-64 via SIMDe

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Apr 2020 19:57:28 +0200
