=== debian/control ===
--- 
+++ 
@@ -9,14 +9,16 @@
                rename,
                libbioparser-dev (>= 2.0),
                libgtest-dev,
-               zlib1g-dev
-Standards-Version: 4.4.0
+               zlib1g-dev,
+               libsimde-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/spoa
 Vcs-Git: https://salsa.debian.org/med-team/spoa.git
 Homepage: https://github.com/rvaser/spoa
+Rules-Requires-Root: no
 
 Package: spoa
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: SIMD partial order alignment tool
@@ -28,7 +30,7 @@
  (overlap).
 
 Package: libspoa3
-Architecture: amd64
+Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -43,7 +45,7 @@
  This package contains the shared library.
 
 Package: libspoa-dev
-Architecture: amd64
+Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
