=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,12 @@
 # DH_VERBOSE := 1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CXXFLAGS_MAINT_APPEND=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
 
 DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_BUILD_TYPE=Release \
                         -Dspoa_build_executable=ON \
-                        -Dspoa_build_tests=ON
+                        -Dspoa_build_tests=ON \
+                        -Dspoa_optimize_for_native=FALSE
 
 %:
 	dh $@
