## spoa 3.4.0

=== debian/changelog ===
spoa (3.4.0-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 07 Aug 2020 17:23:07 +0200

spoa (3.4.0-1) unstable; urgency=medium

  * New upstream version with new SOVERSION
    Closes: #966920
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 05 Aug 2020 09:02:12 +0200

spoa (3.0.2-5) unstable; urgency=medium

  * Team upload
  * Fix ppc64el FTBFS with altivec and c++ (Closes: #959880)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 07 May 2020 14:07:13 +0200

spoa (3.0.2-4) unstable; urgency=medium

  * Team upload.
  * Mark libspoa{3,-dev} as Multi-Arch: same
  * Simplify simde patch

  [ Etienne Mollier ]
  * Added patch for Gcc 10; assuming #959465 resolution:
    Closes: #957836

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 03 May 2020 14:02:30 +0200
