=== debian/changelog ===
spoa (3.4.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Disable use of native code generation (Closes: #969092)
  * Update symbols file

 -- Shayan Doust <hello@shayandoust.me>  Mon, 14 Sep 2020 12:43:15 +0100

spoa (3.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Enable upstream's CPU dispatching
  * Switch to the full-source tarball from upstream for the cpu-features
    support

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 16:45:15 +0200
