=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                d-shlibs,
                rename,
@@ -29,8 +29,9 @@
  (Smith-Waterman), global (Needleman-Wunsch) and semi-global alignment
  (overlap).
 
-Package: libspoa3
+Package: libspoa4.0.0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -46,10 +47,11 @@
 
 Package: libspoa-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libspoa3 (= ${binary:Version})
+         libspoa4.0.0 (= ${binary:Version})
 Description: SIMD partial order alignment library (development files)
  Spoa (SIMD POA) is a c++ implementation of the partial order alignment
  (POA) algorithm (as described in 10.1093/bioinformatics/18.3.452) which
