=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,20 @@
 # DH_VERBOSE := 1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CXXFLAGS_MAINT_APPEND=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+export DEB_CXXFLAGS_MAINT_APPEND=-O3
 
 DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_BUILD_TYPE=Release \
                         -Dspoa_build_executable=ON \
                         -Dspoa_build_tests=ON \
-                        -Dspoa_optimize_for_native=FALSE
+			-Dspoa_use_simde_nonvec=ON \
+			-Dspoa_use_simde_openmp=ON
+
+ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
+	DEB_CMAKE_EXTRA_FLAGS += -Dspoa_generate_dispatch=ON
+endif
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
@@ -23,7 +28,7 @@
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
-		    --movedev debian/tmp/usr/include/* usr/include \
+		    --movedev debian/tmp/usr/include/spoa usr/include \
 		    --movedev debian/tmp/usr/lib/*/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
 		    debian/tmp/usr/lib/*/*.so
