## spoa 4.0.6+ds2

=== debian/changelog ===
spoa (4.0.6+ds2-1) unstable; urgency=medium

  * Team upload.
  * libspoa-dev needs libcereal-dev as well.
  * debian/copyright: exclude upstream's copy of cpu_features
  * debian/patches/deb_cpu_features: use cpu_features from libcpu-
    features-dev

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Jan 2021 11:17:23 +0100

spoa (4.0.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/patches/shared_lib_creation.patch: incorporated upstream,
    deleted.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Jan 2021 13:25:47 +0100

spoa (4.0.5+ds-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version

  [ Michael R. Crusoe ]
  * Standards-Version: 4.5.1 (routine-update)
  * Refresh patches
  * rename lib package to match new SO name
  * build-dep on libcereal-dev and newer libbioparser-dev
  * Drop no_march_native.patch in favor of setting the option in debian/rules
  * debian/rules: test/data/sample.fastq is now gziped upstream
  * Update symbols for new version
  * debian/patches/shared_and_static.patch: updated courtesy of upstream
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 15:47:48 +0100
