=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                d-shlibs,
-               rename,
-               libbioparser-dev (>= 2.0),
+               libbioparser-dev (>= 3.0),
+               libcereal-dev,
                libgtest-dev,
                zlib1g-dev,
-               libsimde-dev
-Standards-Version: 4.5.0
+               libsimde-dev,
+               libcpu-features-dev
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/spoa
 Vcs-Git: https://salsa.debian.org/med-team/spoa.git
 Homepage: https://github.com/rvaser/spoa
@@ -29,7 +30,7 @@
  (Smith-Waterman), global (Needleman-Wunsch) and semi-global alignment
  (overlap).
 
-Package: libspoa4.0.0
+Package: libspoa7.0.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -51,7 +52,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libspoa4.0.0 (= ${binary:Version})
+         libspoa7.0.0 (= ${binary:Version}),
+         libcereal-dev
 Description: SIMD partial order alignment library (development files)
  Spoa (SIMD POA) is a c++ implementation of the partial order alignment
  (POA) algorithm (as described in 10.1093/bioinformatics/18.3.452) which
